%global momorel 9
%global artsver 1.5.9
%global qtver 3.3.7
%global kdever 3.5.9
%global artsrel 3m
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: A non-linear video editing application for KDE
Name: kdenlive
Version: 0.5
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://kdenlive.sourceforge.net/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-1.tar.gz 
NoSource: 0
Source1: %{name}-ja.po
Patch0: %{name}-%{version}-desktop.patch
Patch1: kdenlive-0.5-gcc43.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs3 >= %{kdever}-%{kdelibsrel}
Requires: dvgrab
Requires: mlt
BuildPreReq: qt3-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs3-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: autoconf
BuildPreReq: automake
BuildPreReq: desktop-file-utils
BuildPreReq: mlt-devel
BuildPreReq: mlt++-devel
BuildPreReq: libavc1394-devel
BuildPreReq: libiec61883-devel
BuildPreReq: libtool
BuildPreReq: ffmpeg-devel

%description
Kdenlive is a non-linear video editor for KDE. It relies on a separate
renderer, piave, to handle it's rendering. Kdenlive supports multitrack
editing.

%prep
%setup -q

%patch0 -p1 -b .desktop~
%patch1 -p1 -b .gcc43

# for Japanese
install -m 644 %{SOURCE1} po/ja.po

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

# workaround for ffmpeg-devel
OPTFLAGS=`pkg-config libavcodec --cflags`
OPTFLAGS="$OPTFLAGS %{optflags}"

CFLAGS="$OPTFLAGS" \
CXXFLAGS="$OPTFLAGS" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kdenlive.png %{buildroot}%{_datadir}/pixmaps/kdenlive.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category AudioVideoEditing \
  %{buildroot}%{_datadir}/applications/kde/kdenlive.desktop

# clean up
rm -rf %{buildroot}%{_docdir}/HTML/doc

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_bindir}/kdenlive
%{_bindir}/kdenlive_renderer
%{_datadir}/applications/kde/kdenlive.desktop
%{_datadir}/apps/kdenlive
%{_datadir}/config.kcfg/kdenlive.kcfg
%{_datadir}/doc/HTML/*/kdenlive
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/kdenlive.mo
%{_datadir}/mimelnk/application/vnd.kde.kdenlive*.desktop
%{_datadir}/pixmaps/kdenlive.png

%changelog
* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-9m)
- revise %%{_docdir}/HTML/*/kdenlive/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5-8m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5-7m)
- rebuild against gcc43

* Sat Mar 22 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5-6m)
- add BuildPreReq ffmpeg-devel
- add workaround for ffmpeg-devel

* Sat Feb 23 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5-5m)
- fix gcc-4.3

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5-4m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5-3m)
- %%NoSource -> NoSource

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-2m)
- Requires: dvgrab

* Sun Jan 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-1m)
- initial package for video freaks using Momonga Linux
- import Japanese translation from svn
